## DzlGraphRenderer DzlGraphRenderer |

## Functions

void | dzl_graph_view_renderer_render ()

## Types and Values

#define | DZL_TYPE_GRAPH_RENDERER
struct | DzlGraphRendererInterface
| DzlGraphRenderer

## Object Hierarchy

        GInterface
        ╰── DzlGraphRenderer

## Prerequisites

DzlGraphRenderer requires GObject.

## Known Implementations

DzlGraphRenderer is implemented by DzlGraphLineRenderer.

## Description

## Functions

### dzl_graph_view_renderer_render ()

    void
    dzl_graph_view_renderer_render (DzlGraphRenderer *self,
                                    DzlGraphModel *table,
                                    gint64 x_begin,
                                    gint64 x_end,
                                    gdouble y_begin,
                                    gdouble y_end,
                                    cairo_t *cr,
                                    const cairo_rectangle_int_t *area);

## Types and Values

### DZL_TYPE_GRAPH_RENDERER

    #define DZL_TYPE_GRAPH_RENDERER (dzl_graph_view_renderer_get_type ())

### struct DzlGraphRendererInterface

    struct DzlGraphRendererInterface {
      GTypeInterface parent;

      void (*render) (DzlGraphRenderer                  *self,
                      DzlGraphModel                     *table,
                      gint64                       x_begin,
                      gint64                       x_end,
                      gdouble                      y_begin,
                      gdouble                      y_end,
                      cairo_t                     *cr,
                      const cairo_rectangle_int_t *area);
    };

### DzlGraphRenderer

    typedef struct _DzlGraphRenderer DzlGraphRenderer;